> ## Documentation Index
> Fetch the complete documentation index at: https://firecrawl.web3doc.top/llms.txt
> Use this file to discover all available pages before exploring further.

# 爬取



## OpenAPI

````yaml v0-openapi POST /crawl
openapi: 3.0.0
info:
  title: Firecrawl API
  version: v0
  description: >-
    API for interacting with Firecrawl services to perform web scraping and
    crawling tasks.
  contact:
    name: Firecrawl Support
    url: https://firecrawl.dev/support
    email: support@firecrawl.dev
servers:
  - url: https://api.firecrawl.dev/v0
security:
  - bearerAuth: []
paths:
  /crawl:
    post:
      tags:
        - Crawling
      summary: Crawl multiple URLs based on options
      operationId: crawlUrls
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                url:
                  type: string
                  format: uri
                  description: The base URL to start crawling from
                crawlerOptions:
                  type: object
                  properties:
                    includes:
                      type: array
                      items:
                        type: string
                      description: URL patterns to include
                    excludes:
                      type: array
                      items:
                        type: string
                      description: URL patterns to exclude
                    generateImgAltText:
                      type: boolean
                      description: >-
                        Generate alt text for images using LLMs (must have a
                        paid plan)
                      default: false
                    returnOnlyUrls:
                      type: boolean
                      description: >-
                        If true, returns only the URLs as a list on the crawl
                        status. Attention: the return response will be a list of
                        URLs inside the data, not a list of documents.
                      default: false
                    maxDepth:
                      type: integer
                      description: >-
                        Maximum depth to crawl relative to the entered URL. A
                        maxDepth of 0 scrapes only the entered URL. A maxDepth
                        of 1 scrapes the entered URL and all pages one level
                        deep. A maxDepth of 2 scrapes the entered URL and all
                        pages up to two levels deep. Higher values follow the
                        same pattern.
                    mode:
                      type: string
                      enum:
                        - default
                        - fast
                      description: >-
                        The crawling mode to use. Fast mode crawls 4x faster
                        websites without sitemap, but may not be as accurate and
                        shouldn't be used in heavy js-rendered websites.
                      default: default
                    ignoreSitemap:
                      type: boolean
                      description: Ignore the website sitemap when crawling
                      default: false
                    limit:
                      type: integer
                      description: Maximum number of pages to crawl
                      default: 10000
                    allowBackwardCrawling:
                      type: boolean
                      description: >-
                        Enables the crawler to navigate from a specific URL to
                        previously linked pages. For instance, from
                        'example.com/product/123' back to 'example.com/product'
                      default: false
                    allowExternalContentLinks:
                      type: boolean
                      description: Allows the crawler to follow links to external websites.
                      default: false
                pageOptions:
                  type: object
                  properties:
                    headers:
                      type: object
                      description: >-
                        Headers to send with the request. Can be used to send
                        cookies, user-agent, etc.
                    includeHtml:
                      type: boolean
                      description: >-
                        Include the HTML version of the content on page. Will
                        output a html key in the response.
                      default: false
                    includeRawHtml:
                      type: boolean
                      description: >-
                        Include the raw HTML content of the page. Will output a
                        rawHtml key in the response.
                      default: false
                    onlyIncludeTags:
                      type: array
                      items:
                        type: string
                      description: >-
                        Only include tags, classes and ids from the page in the
                        final output. Use comma separated values. Example:
                        'script, .ad, #footer'
                    onlyMainContent:
                      type: boolean
                      description: >-
                        Only return the main content of the page excluding
                        headers, navs, footers, etc.
                      default: false
                    removeTags:
                      type: array
                      items:
                        type: string
                      description: >-
                        Tags, classes and ids to remove from the page. Use comma
                        separated values. Example: 'script, .ad, #footer'
                    replaceAllPathsWithAbsolutePaths:
                      type: boolean
                      description: >-
                        Replace all relative paths with absolute paths for
                        images and links
                      default: false
                    screenshot:
                      type: boolean
                      description: >-
                        Include a screenshot of the top of the page that you are
                        scraping.
                      default: false
                    fullPageScreenshot:
                      type: boolean
                      description: >-
                        Include a full page screenshot of the page that you are
                        scraping.
                      default: false
                    waitFor:
                      type: integer
                      description: >-
                        Wait x amount of milliseconds for the page to load to
                        fetch content
                      default: 0
              required:
                - url
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CrawlResponse'
        '402':
          description: Payment required
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Payment required to access this resource.
        '429':
          description: Too many requests
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: >-
                      Request rate limit exceeded. Please wait and try again
                      later.
        '500':
          description: Server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: An unexpected error occurred on the server.
      security:
        - bearerAuth: []
components:
  schemas:
    CrawlResponse:
      type: object
      properties:
        jobId:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````